Page 2 of 11

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Thu Mar 07, 2019 9:31 am
by TimeGearCD
Forevener wrote:Try the following things, please:
1. Remove zd_extra.pk3 from the load order
2. Check your DOOM2.WAD version


None of those were the issue, I did find the solution though.
Turns out, it was because I was using a true color renderer.
This happens when starting up with both true color renderers.
However, I can start up with a different renderer, then switch to true color, and it will be fine.
My B. I didn't know true color could do that kinda stuff.
Thanks for the help though, everyone!

*Turns out the game also closes automatically if you go the outpost with the doom software renderer on, I guess I probably should have just listened to the FAQ when it said to play with OpenGL.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Fri Mar 08, 2019 8:36 am
by 7HEPOW
Sumwunn wrote:
7HEPOW wrote:Two minor critique points would be the stat icons being hi-res compared to eveything else and the inventory showing up at the bottom left instead of centered.

Huh, I never really noticed the inventory thing. I'd imagine the original devs did this so it wouldn't get in the way of DRPG's hud.
You can remove its entry in SBARINFO.txt if you want.
Hi-res icons? Do you mean they lack anti-aliasing? Dunno how to fix that. I'm all ears though.

I could have worded that a little better :D
There are many hi-res graphics used in the GUI. A good example are stat icons in the stats screen.
Spoiler: Stat Screen Shot

I looked at the files in DoomRPG/graphics/stats and found them to be 320x320 in resolution. That's what makes them look off. Most other graphic files have a resolution equal or less than 48x48 in size, so reducing them to 10% their original size would probably make it look more fitting. I just forked the git and will try out if scaling them down looks more fitting. ;)

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Fri Mar 08, 2019 7:24 pm
by Sumwunn
TimeGearCD wrote:*Turns out the game also closes automatically if you go the outpost with the doom software renderer on, I guess I probably should have just listened to the FAQ when it said to play with OpenGL.


Huh, didn't think to change renderers. It crashes for me too on anything expect OGL. Honestly not sure whats causing that. Best to use OGL for now.

7HEPOW wrote:I could have worded that a little better :D
There are many hi-res graphics used in the GUI. A good example are stat icons in the stats screen.
Spoiler: Stat Screen Shot

I looked at the files in DoomRPG/graphics/stats and found them to be 320x320 in resolution. That's what makes them look off. Most other graphic files have a resolution equal or less than 48x48 in size, so reducing them to 10% their original size would probably make it look more fitting. I just forked the git and will try out if scaling them down looks more fitting. ;)


Ahh I see. If you're successful in fixing that a PR would be lovely! :)

Compatibility work for DRLA v1.1 has started!
I don't really have an ETA really as I'm going to check everything. I'm currently prodding Yholl for details which should hopefully cut down on how much stuff I have to check.
I'll be periodically updating the "drla_update" branch on GitHub which currently does launch with DRLA v1.1 (pulled in compat commits from original DRPG plus some fixes/changes of mine).
https://github.com/Sumwunn/DoomRPG/tree/drla_update

If anybody wants to test that branch and report any weird/broken stuffs (post here), that'd be great! :)

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Sat Mar 09, 2019 10:40 am
by Forevener
If someone has missed DRPG Launcher: here's the updated version.
Feedback is welcome and appreciated.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Tue Mar 12, 2019 9:13 am
by Redead-ITA
I have some issue with using the launcher... it doesn't show the button to begin playing, and i can't resize it to see if there is an issue there.

Spoiler: Discord image link

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Tue Mar 12, 2019 12:32 pm
by Forevener
Redead-ITA wrote:I have some issue with using the launcher...

I have updated the launcher - try the newest release, please.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 3:07 pm
by Sumwunn
Alright I've been playing with my updated DRPG w/ new DRLA for a few days and haven't found anything broken/wrong.

I've merged the updated branch into master and so new drla is now the default required version.

Enjoy! :D

EDIT:
Oh and v3.7.0 is now the lowest version required.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 4:20 pm
by OmniT00
So whenever i attempt to start the mod with DLRA 1.1, both with and without DLRM 7.0, I am given this error. The mod is up to date, and I am doing this through the launcher.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 7:26 pm
by Sumwunn
OmniT00 wrote:So whenever i attempt to start the mod with DLRA 1.1, both with and without DLRM 7.0, I am given this error. The mod is up to date, and I am doing this through the launcher.


Looks like you loaded the patches but not DRLA itself.
Make sure you have DRLA & monsters ticked in the WAD/PK3 window next to the patches one.

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 9:28 pm
by Beezle
Appreciate this Sumwunn, DoomRPG badly needed an update for it to work with 3.7.2. Kinda of a pain in the ass to run without the Launcher, but I missed the updated version a couple posts above this one. Nice job so far!

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 10:30 pm
by sebastianali
the mod looks great but one problem...
i dont have open gl 3, only 2 so gzdoom 3.7.0 doesnt work for me... :(
you know if thereĀ“s some fix or something for this? im a really fan for kyle rpg but if im need open gl 3 for this mod....

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Wed Mar 13, 2019 11:13 pm
by Beezle
I'm just curious, would a legacy version of 3.7.2 or LZDoom work in your case?
Edit: Just tested LZDoom in Software mode, and OpenGL, and it worked just fine, although it crashed the first time (LZDoom Is Not Responding) when I left it in menu for a minute. However I'm currntly using the x64 version so not sure if this helps you. I hope you can find a workaround to OpenGL 3 since this is such a great mod in combination with DRLA. :(

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Thu Mar 14, 2019 9:52 am
by Sumwunn
The crashing in outpost is caused by me using WALLSPRITE for the outpost signs. Commenting those out in actors/Outpost.txt allows software mode to work OK.

You can comment those out until I find a replacement for the WALLSPRITE.

EDIT:
Well that's not quite it. GZDoom only launches 50% of the time for me with DRPG in software mode now. I'm lost.
:|

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Thu Mar 14, 2019 10:35 am
by sebastianali
Beezle wrote:I'm just curious, would a legacy version of 3.7.2 or LZDoom work in your case?
Edit: Just tested LZDoom in Software mode, and OpenGL, and it worked just fine, although it crashed the first time (LZDoom Is Not Responding) when I left it in menu for a minute. However I'm currntly using the x64 version so not sure if this helps you. I hope you can find a workaround to OpenGL 3 since this is such a great mod in combination with DRLA. :(

i fixed using a different computer hehehehehe but another problem.... doom rl arsenal patch i think is outdated because scripts errors, execution errors etc etc.... doom rl arsenal doesnt work with kyle rpg..... if someone can upload a new updated patch for doom rl arsenal that works with doom kyle rpg....
another bug when you play with wadsmoosh that this version doesnt fix. if you play with wadsmosh only doom 1, 2 and master levels appears but no the other maps!

Re: Doom RPG SE [unofficial, bugfix-ish]

PostPosted: Thu Mar 14, 2019 11:15 am
by sebastianali
another bug report: when i launch the game says wallsprite and turret errors what happend? :(
i lost the old version for nothing..... the old version has bugs but is playable and this version doesnt run.....